<?php
require_once './Control/ControlFoto.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
if (!isset($lang))
{
	$lang = 'pt';
} else 
{
	if ($lang == 'undefined')
	{
		$lang = 'pt';
	}
}
$controlFoto = new ControlFoto();
if ($acao == 'inserir')
{
        $galeria = $controlFoto->pegarUmGaleria($pk);
        echo 'Novo registro para galeria: <b>' . $galeria->gNome() . '</b>';
	$foto = new Foto();
        $foto->setGaleriaid($pk);
        $foto->setHabilitado(1);
        $pk = '';
} else
{
	$foto = $controlFoto->pegarUmFoto($pk);
}
$foto->lang = $lang;
$arquivoGrid = 'adm_fotoGrid.php';
?>
<form name="frmFoto" id="frmFoto" action="adm_fotoCMD.php" method="post">
    <input id="hacao" name="acao" type="hidden" value="<?php echo $acao?>">
    <input id="lang" name="lang" type="hidden" value="<?php echo $lang?>">
    <input id="galeriaid" name="galeriaid" type="hidden" value="<?php echo $foto->getGaleriaid()?>">
    <input id="arqFrm" name="arqFrm" type="hidden" value="<?php echo end(explode("/", $_SERVER['PHP_SELF']))?>">
	<fieldset>
		<label>Foto</label>
                <?php echo Idiomas::ComboSelecionarIdiomaPainelControle($acao, $pk, $lang, 'fnIdiomaDivFotos');?>
		<section><label for="fotopk">ID</label>
                    <div><input  readonly="true" type="text" id="fotopk" name="fotopk" value="<?php echo $foto->getFotoid(); ?>" placeholder="Este campo é gerido de forma automática."></div>
		</section>
                <section><label for="fototxtDescricao">Descrição</label>
                    <div><input type="text" id="fototxtDescricao" name="fototxtDescricao" required value="<?php echo $foto->gDescricao(); ?>"></div>
		</section>
                <section><label for="upfoto">Imagem Principal<br><span>Não esqueça de salvar após o upload</span></label>
                    <div><input type="file" id="fotoupFoto" name="fotoupFoto"></div>
                    <?php
                    if ($foto->getFoto()!= '')
                    echo '<p><img src="' . $foto->getFoto() . '" alt="Pré-Visualização"/></p>';
                    ?>
                </section>
                <section><label for="fotocbHabilitado">Visível ao público:</label>
                    <div>					
                        <select name="fotocbHabilitado" id="fotocbHabilitado">
                            <optgroup label="Habilitado">
                                <?php echo Utilidades::formSeletorBoleano('fotocbHabilitado',$foto->getHabilitado())?>
                            </optgroup>
                        </select>
                    </div>
		</section>
                <section>
                    <div><button onclick="mostrarArquivoDados('<?php echo $arquivoGrid; ?>','#divFotos','pk=<?php echo $foto->getGaleriaid();?>');" >Cancelar</button><button id="salvar" class="submit" name="submitbuttonname" value="submitbuttonvalue">Salvar</button></div>
		</section>
	</fieldset>
</form>
<script>
    $('#fotoupFoto').wl_File();
</script>
<?php
      FormAjax::javascriptTrocarIdioma('adm_fotoForm.php','#divFotos', 'fnIdiomaDivFotos');
      FormAjax::PrepararFormAjax('#frmFoto');
?>